# How to contribute

If you found a bug in any of the scripts here, let me know by using the Wiki.

You may also wish to share an script for a specific application of the method. Please comment on the purpose of new scripts using the Wiki and choose an informative name for the file.

## Submitting changes

Please send a [GitHub Pull Request to emma-holmes](https://github.com/emma-holmes/Source-Dissimilarity-Index/new/master) with a clear list of what you've done (read more about [pull requests](https://help.github.com/articles/about-pull-requests/)). Please follow the coding conventions (below).

Always write a clear log message for your commits. One-line messages are fine for small changes, but bigger changes should look like this:

    $ git commit -m "A brief summary of the commit
    > 
    > A paragraph describing what changed and its impact."

## Coding conventions

I always try to optimise my code for readability, and would be grateful if you could do the same:

  * Indent using tabs
  * Put spaces after list items and method parameters (`[1, 2, 3]`, not `[1,2,3]`), around operators (`x += 1`, not `x+=1`).
  * If a new line of code is added, provide a comment to state the function of that code.
  * This is open source software. Consider the people who will read your code, and make it look nice for them.

Thanks,
Emma
